Many Unmet Dependencies on Indigo Trying to Install Tutorial Packages

asked 2015-07-27 23:49:09 -0600

d7x gravatar image

I'm trying to install the ros indigo tutorial packages and am getting a large number of errors. When I use the command form to show debug info, I get the second code block below. I'm not sure how to correct this and am wondering when it makes sense to try to debug all of these issues vs. reinstalling desktop full from scratch. Or, is there a quicker solution?

 sudo apt-get install ros-indigo-ros-tutorials ros-indigo-geometry-tutorials ros-indigo-rviz ros-indigo-rosbash ros-indigo-rqt-tf-tree
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 ros-indigo-geometry-tutorials : Depends: ros-indigo-turtle-tf but it is not going to be installed
                                 Depends: ros-indigo-turtle-tf2 but it is not going to be installed
 ros-indigo-ros-tutorials : Depends: ros-indigo-roscpp-tutorials but it is not going to be installed
                            Depends: ros-indigo-rospy-tutorials but it is not going to be installed
                            Depends: ros-indigo-turtlesim but it is not going to be installed
 ros-indigo-rosbash : Depends: ros-indigo-catkin but it is not going to be installed
 ros-indigo-rqt-tf-tree : Depends: python-rospkg but it is not going to be installed
                          Depends: ros-indigo-geometry-msgs but it is not going to be installed
                          Depends: ros-indigo-rospy but it is not going to be installed
                          Depends: ros-indigo-rqt-graph but it is not going to be installed
                          Depends: ros-indigo-rqt-gui but it is not going to be installed
                          Depends: ros-indigo-rqt-gui-py but it is not going to be installed
                          Depends: ros-indigo-tf2 but it is not going to be installed
                          Depends: ros-indigo-tf2-msgs but it is not going to be installed
                          Depends: ros-indigo-tf2-ros but it is not going to be installed
 ros-indigo-rviz : Depends: libboost-filesystem1.54.0 but it is not installable
                   Depends: libboost-program-options1.54.0 but it is not installable
                   Depends: libboost-system1.54.0 but it is not installable
                   Depends: libboost-thread1.54.0 but it is not installable
                   Depends: liburdfdom-world0.2 but it is not installable
                   Depends: libyaml-cpp0.5 but it is not installable
                   Depends: ros-indigo-geometry-msgs but it is not going to be installed
                   Depends: ros-indigo-image-geometry but it is not going to be installed
                   Depends: ros-indigo-image-transport but it is not going to be installed
                   Depends: ros-indigo-interactive-markers but it is not going to be installed
                   Depends: ros-indigo-laser-geometry but it is not going to be installed
                   Depends: ros-indigo-map-msgs but it is not going to be installed
                   Depends: ros-indigo-message-filters but it is not going to be installed
                   Depends: ros-indigo-nav-msgs but it is not going to be installed
                   Depends: ros-indigo-pluginlib but it is not going to be installed
                   Depends: ros-indigo-resource-retriever but it is not going to be installed
                   Depends: ros-indigo-rosbag but it is not going to be installed
                   Depends: ros-indigo-rosconsole but it is not going to be installed
                   Depends: ros-indigo-roscpp but it is not going to be installed
                   Depends: ros-indigo-roslib but it is not going to be installed
                   Depends: ros-indigo-rospy but it is not going to be installed ...
(more)
edit retag flag offensive close merge delete

Comments

The debug output also shows it, but it would be nice if you could add some info to your question, such as which OS this is, which version, which processor architecture, how you installed ROS, and what version of ROS you are trying to use.

gvdhoorn gravatar image gvdhoorn  ( 2015-07-28 01:34:59 -0600 )edit

That makes perfect sense to specify the platform given the challenges of ARM vs x86. My platform is a Raspberry PI (B version, not the new RPI 2) and I installed ROS Indigo by building an image from link text .

d7x gravatar image d7x  ( 2015-07-28 14:01:50 -0600 )edit

which of the two images are you using - the first one has a static ip address set in customisations - this could cause issues on a lan. Trying running apt-get update and see if that succeeds

nickw gravatar image nickw  ( 2015-08-02 13:23:15 -0600 )edit